Open CASCADE Technology: StepFEA_Array1OfCurveElementEndRelease Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepFEA_Array1OfCurveElementEndRelease Class Reference

`#include <StepFEA_Array1OfCurveElementEndRelease.hxx>`

## Public Member Functions
| StepFEA_Array1OfCurveElementEndRelease (const Standard_Integer Low, const Standard_Integer Up)
| StepFEA_Array1OfCurveElementEndRelease (const Handle< StepFEA_CurveElementEndRelease > &Item, const Standard_Integer Low, const Standard_Integer Up)
void | Init (const Handle< StepFEA_CurveElementEndRelease > &V)
void | Destroy ()
| ~StepFEA_Array1OfCurveElementEndRelease ()
Standard_Boolean | IsAllocated () const
const StepFEA_Array1OfCurveElementEndRelease & | Assign (const StepFEA_Array1OfCurveElementEndRelease &Other)
const StepFEA_Array1OfCurveElementEndRelease & | operator= (const StepFEA_Array1OfCurveElementEndRelease &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle< StepFEA_CurveElementEndRelease > &Value)
const Handle< StepFEA_CurveElementEndRelease > & | Value (const Standard_Integer Index) const
const Handle< StepFEA_CurveElementEndRelease > & | operator() (const Standard_Integer Index) const
Handle< StepFEA_CurveElementEndRelease > & | ChangeValue (const Standard_Integer Index)
Handle< StepFEA_CurveElementEndRelease > & | operator() (const Standard_Integer Index)

## Constructor & Destructor Documentation

StepFEA_Array1OfCurveElementEndRelease::StepFEA_Array1OfCurveElementEndRelease | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepFEA_Array1OfCurveElementEndRelease::StepFEA_Array1OfCurveElementEndRelease | ( | const Handle< StepFEA_CurveElementEndRelease > & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |  |

StepFEA_Array1OfCurveElementEndRelease::~StepFEA_Array1OfCurveElementEndRelease | ( |  | ) |
| inline

## Member Function Documentation

const StepFEA_Array1OfCurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::Assign | ( | const StepFEA_Array1OfCurveElementEndRelease & | Other | ) |

Handle< StepFEA_CurveElementEndRelease >& StepFEA_Array1OfCurveElementEndRelease::ChangeValue | ( | const Standard_Integer | Index | ) |

void StepFEA_Array1OfCurveElementEndRelease::Destroy | ( |  | ) |

void StepFEA_Array1OfCurveElementEndRelease::Init | ( | const Handle< StepFEA_CurveElementEndRelease > & | V | ) |

Standard_Boolean StepFEA_Array1OfCurveElementEndRelease::IsAllocated | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::Length | ( |  | ) | const

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::Lower | ( |  | ) | const

const Handle< StepFEA_CurveElementEndRelease >& StepFEA_Array1OfCurveElementEndRelease::operator() | ( | const Standard_Integer | Index | ) | const
| inline

Handle< StepFEA_CurveElementEndRelease >& StepFEA_Array1OfCurveElementEndRelease::operator() | ( | const Standard_Integer | Index | ) |
| inline

const StepFEA_Array1OfCurveElementEndRelease& StepFEA_Array1OfCurveElementEndRelease::operator= | ( | const StepFEA_Array1OfCurveElementEndRelease & | Other | ) |
| inline

void StepFEA_Array1OfCurveElementEndRelease::SetValue | ( | const Standard_Integer | Index,
|  | const Handle< StepFEA_CurveElementEndRelease > & | Value
| ) |  |

Standard_Integer StepFEA_Array1OfCurveElementEndRelease::Upper | ( |  | ) | const

const Handle< StepFEA_CurveElementEndRelease >& StepFEA_Array1OfCurveElementEndRelease::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- StepFEA_Array1OfCurveElementEndRelease.hxx